## ros-kinetic-industrial-robot-simulator 0.7.1

=== debian/changelog ===
ros-kinetic-industrial-robot-simulator (0.7.1-1xenial) xenial; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * manually revert commit 40fa0dae (#234 <https://github.com/ros-industrial/industrial_core/issues/234>)
  * Contributors: Alexis0301, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.7.0-1xenial) xenial; urgency=high

  * Added in better simluation when velocities are provided for trajectory
  * robot_simulator: review and fix buildscript and manifest. Fix #207 <https://github.com/ros-industrial/industrial_core/issues/207>.
  * Fix for issue #157 <https://github.com/ros-industrial/industrial_core/issues/157>: don't depend on non-existing targets in ind_rob_sim build file
  * robot_sim: don't depend on targets that don't exist. Fix #157 <https://github.com/ros-industrial/industrial_core/issues/157>.
  * Contributors: Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Mon, 11 Feb 2019 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.6.0-1xenial) xenial; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- Shaun Edwards <sedwards@swri.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.5.1-1xenial) xenial; urgency=high

  * robot_simulator: clarify err msg when controller_joint_names is missing.
  * Make industrial_robot_simulator python3 compatible.
  * Contributors: G.A. vd. Hoorn, Maarten de Vries

 -- Shaun Edwards <sedwards@swri.org>  Sat, 14 Jan 2017 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.5.0-1xenial) xenial; urgency=high

  * Added industrial_robot_client test depends as a workaround to test failures
  * Updated industrial_robot_simulator package.xml to version 2 format
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 21 Feb 2016 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.4.3-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Feb 2016 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.4.2-1xenial) xenial; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Tue, 20 Oct 2015 22:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.4.1-1xenial) xenial; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 22 Mar 2015 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.4.0-1xenial) xenial; urgency=high

  * Fixed roslaunch test dependency and build depends for robot simulator package
  * Corrected roslaunch test and added rospy depends to industrial_robot_simulator package
  * Removed extraneous dependencies.  Re-enable launch test
  * robot_simulator: add TU Delft copyright as well.
  * robot_simulator: add BSD license header. Fix #90 <https://github.com/ros-industrial/industrial_core/issues/90>.
  * robot_simulator: set explicit queue size in Publishers. Fix #99 <https://github.com/ros-industrial/industrial_core/issues/99>.
    Queue size of 1 is most likely sufficient for these topics.
  * robot_simulator: add GetRobotInfo svc server.
  * robot_simulator: quiet down node (use logdebug()).
  * Merge pull request #88 <https://github.com/ros-industrial/industrial_core/issues/88> from gavanderhoorn/rob_sim_robot_status
    Add RobotStatus publishing to robot simulator node
  * robot_simulator: remove redundant load_manifest(). Fix #63 <https://github.com/ros-industrial/industrial_core/issues/63>.
  * robot_simulator: update manifest (depend on industrial_msgs).
  * robot_simulator: publish RobotStatus msgs as well.
  * robot_simulator: make initial joint state configurable. Fix #73 <https://github.com/ros-industrial/industrial_core/issues/73>.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Fri, 20 Mar 2015 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.3.4-1xenial) xenial; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 20 Jan 2014 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.3.3-1xenial) xenial; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Sun, 12 Jan 2014 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.3.2-1xenial) xenial; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 23:00:00 -0000

ros-kinetic-industrial-robot-simulator (0.3.1-1xenial) xenial; urgency=high

  * robot_simulator: avoid hardcoded python path. Fix #53 <https://github.com/ros-industrial/industrial_core/issues/53>.
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Add install target for launchfile in sim pkg.
    Fix #35 <https://github.com/ros-industrial/industrial_core/issues/35>.
  * Fix issue #6 <https://github.com/ros-industrial/industrial_core/issues/6> (Install target fails for industrial_robot_simulator): setup.py file not required for python executables, see http://ros.org/wiki/catkin/migrating_from_rosbuild
  * bugFix: #61 <https://github.com/ros-industrial/industrial_core/issues/61> - fix joint-name remapping in industrial_robot_simulator
  * Added interpolated motion to MotionControllerSimulator class. Includes addition of interpolate(), and modification of  _motion_worker()
  * New rospy.get_param() added to IndustrialRobotSimulatorNode in order to assign motion_update_rate
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, dpsolomon, gavanderhoorn, jrgnicho

 -- Shaun Edwards <sedwards@swri.org>  Wed, 08 Jan 2014 23:00:00 -0000
